const moment=require('../utils/moment-with-locales.min')
moment.locale('zh-cn');

// 引入全局配置的图片资源地址 
import {globalImgUrls} from "../utils/config"


module.exports = {
  filters: {
    /**
     * 活动时间格式化
     * @param {2021-11-12T09:25:01+08:00} start 开始时间
     * @param 2021-11-12T09:25:01+08:00 end 结束时间
     * @returns 2020-06-04 15:30-16:30 星期一
     */
    formatActivityTime(start,end){
      const week=moment(start).format('dddd');
      const day=moment(start).format('YYYY-MM-DD');
      const startTime=moment(start).format('HH:mm');
      const endTime=moment(end).format('HH:mm');
      return `${day} ${startTime}-${endTime} ${week}`
    }
  },
  data() {
    return {
      globalImgUrls:globalImgUrls,// 图片资源
      userInfo:{},//个人信息
    };
  },
  onLoad() {
    const page = this.$mp.page;
    if( page.route==='pages/buy/buy'||
        page.route=='pages/report/report'||
        page.route=='pages/chart/chart'||
        page.route=='pages/activity/activity'||
        page.route=='pages/user/user'
    )
    if (typeof page.getTabBar === "function" && page.getTabBar()) {
      page.getTabBar().setData({
        selected: page.route,
      });
    }
  },
  onShow(){
    this.userInfo=this.$store.state.user.userInfo
  },
  methods: {},
};
