import {apiUserInfo} from '@/api/user'


const token=uni.getStorageSync('token')||''
const userModules={
	state:{
		token:token,
		userInfo:{}
	},
	mutations: {
		// 设置token
		setToken(state,data){
			state.token=data
			uni.setStorageSync('token', data);
		},

		// 设置个人信息
		setUserInfo(state,data){
			state.userInfo=data
		}
	},
	actions: {
		// 获取个人信息
		async getUserInfo(context){
			const res=await apiUserInfo()
			if(res.code===200){
				context.commit('setUserInfo',res.data)
			}
		}
	}
}
export default userModules